> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List matching connector configuration suggestions

> Get a list of connector types that can handle the provided input value.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-connectors.json get /partial-config
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /partial-config:
    get:
      tags:
        - Connectors Configuration Suggestion API
      summary: List matching connector configuration suggestions
      description: Get a list of connector types that can handle the provided input value.
      operationId: suggestConnectorConfig_1
      parameters:
        - name: input
          in: query
          required: true
          description: >-
            The input value to evaluate. It can be a URL, file path, FTP
            address, or similar resource identifier.
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved connector configuration suggestions.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConnectorConfigSuggestion'
components:
  schemas:
    ConnectorConfigSuggestion:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        config:
          type: object
          additionalProperties:
            type: object
        valid:
          type: boolean
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
        installed:
          type: boolean
    ValidationError:
      type: object
      properties:
        field:
          type: string
        value:
          type: object
        code:
          type: string
        message:
          type: string

````